org.mariadb.jdbc.internal.logging

## Class LoggerFactory

- java.lang.Object
- - org.mariadb.jdbc.internal.logging.LoggerFactory

    public class LoggerFactory
    extends Object

### Field Summary

Fields
`static Boolean` `hasToLog`
`static Class` `loggerClass`
`static Method` `method`
`static Logger` `NO_LOGGER`

### Constructor Summary

Constructors
Constructor and Description
`LoggerFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Logger` `getLogger(Class<?> clazz)` Initialize logger.
`static void` `init(boolean mustLog)` Initialize factory.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NO_LOGGER

    public static final Logger NO_LOGGER

#### hasToLog

    public static Boolean hasToLog

#### loggerClass

    public static Class loggerClass

#### method

    public static Method method

### Constructor Detail

#### LoggerFactory

    public LoggerFactory()

### Method Detail

#### init

    public static void init(boolean mustLog)

Initialize factory.

Parameters:
  `mustLog` - indicate if must initiate Slf4j log

#### getLogger

    public static Logger getLogger(Class<?> clazz)

Initialize logger.

Parameters:
  `clazz` - initiator class
Returns:
  logger